#! /usr/bin/env bash
# 编译替换app.js

realpath() {
    [[ $1 = /* ]] && echo "$1" || echo "$PWD/${1#./}"
}

# PATHS
PROJECT_PATH=$(dirname $(dirname $(dirname $(realpath $0))))
SRC_PATH=${PROJECT_PATH}/statics/js
NOW=$(date "+%Y%m%d-%H%M%S")
NEW_NAME=app.min.${NOW}.js

echo "压缩js..."
uglifyjs --compress --mangle --output ${SRC_PATH}/${NEW_NAME} -- ${SRC_PATH}/app.js && \

echo "替换html..."
sed -i '' -e "s|x-stock/js/app.*.js\"{{ else }}|x-stock/js/${NEW_NAME}\"{{ else }}|g" ${PROJECT_PATH}/statics/html/base.html && \

echo "上传cdn..."
qshell fput blogpostpics x-stock/js/${NEW_NAME} ${SRC_PATH}/${NEW_NAME} && \

echo "保存预取刷新文件名..."
echo "http://cdn.axiaoxin.com/x-stock/js/${NEW_NAME}" > /tmp/qiniu-prefetch-refresh-list.txt && \
echo "cdn预取..."
qshell cdnprefetch -i /tmp/qiniu-prefetch-refresh-list.txt && \
echo "cdn刷新..."
qshell cdnrefresh -i /tmp/qiniu-prefetch-refresh-list.txt

echo "设置清理文件..."
mv /tmp/qiniu-latest-list.txt /tmp/qiniu-del-list.txt
echo "x-stock/js/${NEW_NAME}" > /tmp/qiniu-latest-list.txt
